This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [RFU] (gcc-4.7.2-2 test) ppl

On Apr 19 19:55, Achim Gratz wrote:
> Yaakov (Cygwin/X) writes:
> > On 2013-04-18 12:37, Achim Gratz wrote:
> >> $wget/ppl/libppl-devel/setup.hint
> >
> > FYI, there is no obsoletes: tag.  I created the necessary upgrade
> > helper for ppl-devel and marked it as test:.
> Thanks.  Since I guess this will come up again, could you please explain
> what exactly was missing?  The mechanism for obsoleting packages seems
> to be to provide a newer empty package, is that right?  An "obsoletes:
> ppl-devel" in the setup.hint in the libppl-devel would have triggered
> the automatic creation of this empty package?

Unfortunately not.  If you obsolete a package you have to create an
emtpy package for the obsoleted package yourself.  See, for instance,
the current w32api-9999-1.tar.bz2.  It's the empty tar file for the
w32api package which has been obsoeted by w32api-headers and


Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Maintainer                 cygwin AT cygwin DOT com
Red Hat

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]